# Module HowTo - Defining required extensions

Your account module might require special PHP extensions. LAM can check this for you and display an error message at the login page.
You will need to implement the function getRequiredExtensions() or use meta['extensions'].
Example:
The posixAccount module needs to generate password hashes. Therefore it needs the MHash extension.

/** * Returns meta data that is interpreted by parent class * * @return array array with meta data */ function get_metaData() { $return = array(); // PHP extensions $return["extensions"] = array("mhash"); [...]

##